Maxxton External API

Sections

Creates a reservation proposal

Header Parameters

localestring

The name field in bill and reservedResources along with the infoTexts will be translated according to the locale passed, example for possible values: en(English), nl(Dutch), fr(French) etc.

Query Parameters

returnAdditionsboolean

The applicable additions will be returned when the value is set to true

returnBillboolean

The customer bill will be returned when the value is set to true

returnInstalmentsboolean

The instalments of reservation will be returned when the value is set to true

Default value
false
returnPaymentOptionsboolean

This parameter will provide all possible payment term sets available, including the instalments for the provided criteria. The payment term set id can be provided in the “paymenttermsetid“ in the request to use the payment option. In case no payment option is set, it will take the one with the highest priority.

Default value
false
returnRequiredFieldsboolean

This parameter will return the required fields related to customer, paying customer and travelParty for Legislation verification

Default value
false
returnUnitsboolean

The list of available unit will be returned when the value is set to true.

Default value
false
skipAvailabilityIndexCheckboolean

This parameter will skip the check on availability based on the Elastic search availability index. This can be used if a reservation needs to be made when you can't wait for the index to be updated. It's recommended to not use this parameter in case you are not really sure what you are doing. By default, this check is always there because it's giving better performance in case of no availability. When this parameter is true - unitId is mandatory in the request.

Default value
false

Body Parameters

distributionChannelCodestring Required

Unique code of distribution-channel.

categoryCodestring Required

Unique code of reservation-category.

customerIdinteger
accommodationTypesarray Required

It contains the details of the accommodationtype for which the reservation is made.

Show child attributes

paymentTermSetIdinteger
rateTypeIdinteger

Unique id of the rate types for which the cashflow is applicable.

Response

200
Object
The request is completed successfully without any errors

Response Attributes

currencyCodestring

Unique code represent the currency in which the reservation payment is done.

arrivalDatestring

The date on which customer/guest will arrive.

departureDatestring

The date on which customer/guest will leave the accommodation.

customerBillarray

The bill of the customer for which the reservation is created.

Show child attributes

agentBillarray

The bill of agent or tour operator or any third party who made the reservation on behalf of customer.

Show child attributes

instalmentsarray

As per the payment terms configuration , installments are generated for the entire bill.

Show child attributes

reservedResourcesarray

The list of resources, which are booked as part of the reservation.

Show child attributes

locationInfotextsarray

Represent the any information that is related to the accommodationtype.

Show child attributes

preBookingboolean

This field shows whether if it's a pre-booking or not

paymentOptionsarray

Provide all possible payment term sets available, including the instalments for the provided criteria. The payment term set id can be provided in the “paymenttermsetid“ in the request to use the payment option in instalments. In case no payment option is set, it will take the one with the highest priority for the instalments.

Show child attributes

accommodationTypesarray

List of addition and unitIds per accommodation types

Show child attributes

requiredFieldsobject

Provide all the required fields related for customer, paying customer and travelParty for legislation verification

Show child attributes

500
Object
Error occurred while fetching reservation proposal

POST

/

Select
1

Response